com.android.agf.fragments

## Class Help_base_Fragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.actionbarsherlock.app.SherlockFragment
    - - com.android.agf.fragments.Help_base_Fragment

- All Implemented Interfaces:
    ComponentCallbacks, _ActionBarSherlockTrojanHorse.OnCreateOptionsMenuListener, _ActionBarSherlockTrojanHorse.OnOptionsItemSelectedListener, _ActionBarSherlockTrojanHorse.OnPrepareOptionsMenuListener, View.OnCreateContextMenuListener

      public class Help_base_Fragment
      extends com.actionbarsherlock.app.SherlockFragment

  fragment base per carregar el contingut del help de l'aplicacio
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `Fragment.InstantiationException, Fragment.SavedState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Help_base_Fragment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Help_base_Fragment` | `newInstance(int id)`
    `void` | `onCreate(Bundle savedInstanceState)`
    `View` | `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)` seleccio del layout segons el tipus de help

    - ### Methods inherited from class com.actionbarsherlock.app.SherlockFragment

      `getSherlockActivity, onAttach, onCreateOptionsMenu, onCreateOptionsMenu, onDetach, onOptionsItemSelected, onOptionsItemSelected, onPrepareOptionsMenu, onPrepareOptionsMenu`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getArguments, getChildFragmentManager, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getResources, getRetainInstance, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityCreated, onActivityResult, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateContextMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onHiddenChanged, onInflate, onLowMemory, onOptionsMenuClosed, onPause, onResume, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, registerForContextMenu, setArguments, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setRetainInstance, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Help_base_Fragment

          public Help_base_Fragment()

  - ### Method Detail

    - #### newInstance

          public static Help_base_Fragment newInstance(int id)

    - #### onCreate

          public void onCreate(Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `Fragment`

    - #### onCreateView

          public View onCreateView(LayoutInflater inflater,
                          ViewGroup container,
                          Bundle savedInstanceState)

      seleccio del layout segons el tipus de help
      Overrides:
        `onCreateView` in class `Fragment`